package com.tanpu.feo.feojob.feign.wxcp;

import com.tanpu.feo.feojob.feign.wxmp.FeignbackForWxMp;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @author: wangyalei
 */
//@FeignClient(value = "z-service-wxcp", url = "http://172.19.125.193:8193/z_wxcp")
//@FeignClient(value = "z-service-wxcp", url = "http://127.0.0.1:8193/z_wxcp")
@FeignClient(value = "service-wxcp", url = "${tanpu.feo-jyzy-wxcp.svc:}", fallbackFactory = FeignbackForWxMp.class, path = "/z_wxcp")
public interface FeignClientForWxCp {

    @PostMapping(value = "/wx/kf/sendMessage/{agentId}/{corpId}/{openId}", consumes = MediaType.TEXT_PLAIN_VALUE)
    void sendMessage(@PathVariable("agentId") String agentId, @PathVariable("corpId") String corpId, @PathVariable("openId") String openId,@RequestBody String value);

}
