package com.tanpu.feo.feojob.dto;

//import com.caixiaoquan.faTools.web.dto.PageHelperDTO;
import com.tanpu.feo.feojob.dto.base.PageHelperDTO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.Builder;
import io.swagger.annotations.ApiModelProperty;

/**
 * 部门员工关系表DTO
 *
 * @author zejia zj wu 2021年05月18日
 * @version 1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class DepartmentEmployeeDTO extends PageHelperDTO {

	private static final long serialVersionUID = 1L;
	/** 员工id */
	@ApiModelProperty(value = "员工id")
	private String employeeId;
	/** 部门id */
	@ApiModelProperty(value = "部门id")
	private String departmentId;
	/** 类型, d负责人, s普通职员 */
	@ApiModelProperty(value = "类型, d负责人, s普通职员")
	private String type;
	/** 机构id */
	@ApiModelProperty(value = "机构id")
	private String orgId;
}
