package com.tanpu.feo.feojob.enums;

import org.apache.commons.lang3.StringUtils;

import java.util.LinkedHashMap;
import java.util.Map;

public enum RoleTypeEnum {
    /**
     * 管理员对应的角色类型
     */
    ADMIN(1, "m"),
    /**
     * 团队长对于的角色类型
     */
    TEAM(2, "t"),
    /**
     * 管理员对应的角色类型
     */
    IFA(3, "i");

    public final int type;
    public final String code;



    RoleTypeEnum(int type, String code) {
        this.type = type;
        this.code = code;
    }


}
